/* Large Screen */
body {
    margin: 2vw 4vw;
}

header {
    display: flex;
    padding-bottom: 3vh;
    border-bottom: 0.8vh solid #ccc;
}

header img {
    width: 7rem;
    height: 7rem;
}

header h1 {
    font-size: 7vw;
    padding: 0 0 0 5vw;
    font-weight: lighter;
    font-family: sans-serif;
    margin: 0px;
    align-self: center;
}

.top-news li {
    display: inline;
}


.navbar {
    display: flex;
    justify-content: space-around;
    font-size: 1rem;
    font-weight: lighter;
    margin: 1.5rem;
}

.breaking-news {
    border: 0.1vh solid gray;
    overflow: hidden;

}

.breaking-news img {
    height: 40vh;
    width: 95vw;
    object-fit: cover;
    /* position:absolute */

}

.breaking-news .summary {
    padding: 1vh;

    color: gray;
}


.top-news section h2 {
    font-size: 1.1rem;
    padding: 5vh 0 0 0;
    margin: 0px;
    font-weight: lighter;
    font-family: sans-serif;
    color: gray;
}



.top-news section {
    width: 92vw;
    display: flex;
    justify-content: space-between;
    border-bottom: 0.1rem solid #ccc;
    padding-bottom: 0.5rem;

}

.top-news list p {
    color: gray;
}

.top-news list div {
    width: 92vw;
    padding-bottom: 0.5rem;
    border-bottom: 0.1rem solid #ccc;

}

table {
    width: 90vw;
    font-size: 1rem;
    border-collapse: separate;
    border-spacing: 0 1em;
}

table td {
    text-align: center;
}

td:nth-child(1) {
    text-align: left;
}

.location h2 {
    font-weight: lighter;
    font-family: sans-serif;
    margin-bottom: 0.1vh;
}

.location h3 {
    font-weight: lighter;
    font-family: sans-serif;
    margin: 0.1vh;
}

.today-temperature {
    display: flex;
    font-size: 2rem;
    align-items: center;
    text-align: center;
}

.weekly-temperature {
    display: flex;
    justify-content: space-around;
}

.weekly-temperature p {
    text-align: center;
    margin-top: 0;
    margin-bottom: 0;
}

.latest-news section h2 {
    font-size: 1.1rem;
    padding: 5vh 0 0 0;
    margin: 0px;
    font-weight: lighter;
    font-family: sans-serif;
    color: gray;
}



.latest-news section {
    width: 92vw;
    display: flex;
    justify-content: space-between;
    border-bottom: 0.1rem solid #ccc;
    padding-bottom: 0.5rem;

}

.news {
    padding-top: 5vh;
}

.news h3 {
    margin: 0vw 0vw 0vw 0vw;
    color: gray;
}

.news p {
    margin: 1.5vw 0px 0px 0vw;
}

.news img {
    width: 15vw;
    height: 15vh;
    float: left;
    margin: 0.2rem 2vw 0vw 0vw;
}

footer {
    margin-top: 5vh;
    padding: 1rem;
    border-bottom: 0.1rem solid #ccc;
    border-top: 0.1rem solid #ccc;
}

footer a {
    margin-right: 5vw;

}


/*---------------------- Medium Screen ----------------------*/
@media screen and (max-width:768px) {

    .medium-screen {
        display: flex;
        flex-wrap: wrap;
    }

    .breaking-news {
        position: relative;
        overflow: hidden;

        height: 50vh;
        width: 40vw;
        box-sizing: border-box;
        order: -1;

    }

    .breaking-news img {
        /* position: relative; */
        height: 50vh;
        width: 40vw;
        /* max-height: 100%; */
        object-fit: fit;
        /* position:absolute */


    }

    .breaking-news .summary {
        position: absolute;
        bottom: 0px;

        background-color: black;
        opacity: 0.7;
        font-size: 1rem;
        width: auto;
        color: white;
        border: none;

    }

    .breaking-news .summary p {
        margin-bottom: 0;
        margin-top: 1vw;
        color: white;
        padding:0;
    }

    .breaking-news .summary b {
        color: white;
        
    }

    .weather {
        order: -1;
        width: 40vw;
        margin-left: 5vw;

    }

    .weather .weekly-temperature {
        margin-left: 5vw;
    }

    .weather h2 {
        margin-top: 0px;
        padding-left: 0px;
    }

    .location {
        margin-left: 0;
        text-align: left;
    }

}


/* ---------------------Small Screen ---------------------------------*/

@media screen and (max-width: 480px) {
    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: space-around;
        font-size: 1rem;
        font-weight: lighter;
        margin: 2rem;
        text-align: center;
    }

    .breaking-news {
        overflow: hidden;
        height: 40vh;
        width: 95vw;
        border: none;
        order: 0;
    }

    .breaking-news img {
        height: 40vh;
        width: 95vw;
        object-fit: cover;
        /* position:absolute */

    }

    .breaking-news .summary {
        position: relative;
        bottom: 16vh;

        background-color: black;
        opacity: 0.7;
        font-size: 1rem;
        width: 95vw;
        color: white;


    }

    .breaking-news .summary p {
        margin-bottom: 0;
        margin-top: 1vw;

        color: white;
        padding-right: 0px;
    }

    .breaking-news .summary b {
        color: white;
    }


    .weather {
        order: 0;
        margin-left: 1vw;
    }

    .weather .weekly-temperature {
        width: 50vw;
        margin-left: 15vw;
    }

}